// components/exchangeInfo/index.js
Component({
    /**
     * 组件的属性列表
     */
    properties: {
        dataSource: {}
    },

    /**
     * 组件的初始数据
     */
    data: {
        item: {}
    },

    observers: {
        'dataSource'(value) {
            let item = {}
            item = {...value}
            if(value.goods.goodsImage) {
                item.coverImage = value.goods.goodsImage.split(',')[0]
            }
            this.setData({item})
        }
    },
    /**
     * 组件的方法列表
     */
    methods: {

    }
})
